Summary:	Red Flag Log Viewer 
Name:		rflogview
Version:	1.0
Release:	19AX
Group:		Applications/System
License:	GPL
Source:		%{name}.tar.gz
Source1:	rflogview_ko.qm
Source2:	rflogview_ko.ts
Patch0:		rflogview-ko-resource.patch	
Patch1:		rflogview-1.0-buildroot.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
watch log tools.
%prep
%setup -q -n rflogview
%patch0 -p1 -b .ko
%patch1 -p1 -b .buildroot

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}/
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}/

%build
make

%install
./install.sh $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp -f rflogview.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/rflogview.desktop

%post
[ -d /var/log/rflogview ] || mkdir /var/log/rflogview
[ -d /var/log/news ] || mkdir /var/log/news
if [ -f /etc/cron.daily/logrotate ] ; then
    grep -v "rflogview" /etc/cron.daily/logrotate > /etc/cron.daily/.logrotate.tmp
    mv -f /etc/cron.daily/.logrotate.tmp /etc/cron.daily/logrotate
    chmod 755 /etc/cron.daily/logrotate
fi
sh /usr/share/rflogview/rflogview_create_conf
/etc/init.d/syslog restart
if [ $1 -eq 2 ] ; then
    cp /etc/syslog.conf /usr/share/rflogview/syslog.conf.bak
    cp /etc/cron.daily/logrotate /usr/share/rflogview/logrotate.bak
fi

%preun
if [ $1 -eq 0 ]; then
    sh /usr/share/rflogview/rflogview_delete_conf
fi

%triggerpostun -n rflogview -- rflogview = 1.0-17, rflogview = 1.0-18
mv -f /usr/share/rflogview/syslog.conf.bak /etc/syslog.conf
mv -f /usr/share/rflogview/logrotate.bak /etc/cron.daily/logrotate

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}/sysconfig/khwtree/GroupSys/rflogview.desktop
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/doc
%{_datadir}/%{name}/icons
%attr(0744,root,root) %{_datadir}/%{name}/rflogview_create_conf
%attr(0744,root,root) %{_datadir}/%{name}/rflogview_delete_conf
%{_sysconfdir}/logrotate.d/rflogview_boot
%{_sysconfdir}/logrotate.d/rflogview_mail
%{_sysconfdir}/logrotate.d/rflogview_secure
%{_sysconfdir}/logrotate.d/rflogview_system
%{_sysconfdir}/logrotate.d/rflogview_user
%{_datadir}/%{name}/%{name}_*.qm
%{_datadir}/applnk/Settings/rflogview.desktop
%{_datadir}/pixmaps/rflogview.xpm

%changelog
* Mon Mar 20 2006 Shiro Yamada <shiro@miraclelinux.com> 1.0-19AX
- correct the attribute for /etc/cron.daily/logrotate
- apply a fix for %postun in previous releases
- append necessary entries in /etc/syslog.conf instead of overwriting it
- place logrotate files in /etc/logrotate.d
- BuildRoot specified in spec
* Wed Nov 16 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-18
- add Korean resource(source 1, 2 patch 0)
- remove post postun action and change .desktop file install method
* Mon Apr 12 2004 pczou
- English user's guide added
* Mon Apr 05 2003 zqyang <zqyang@redflag-linux.com>
- standard
* Mon Mar 24 2003 zqyang <zqyang@redflag-linux.com>
- add about 
* Wed Mar 12 2003 zqyang <zqyang@redflag-linux.com>
- fix bugs
* Tue Jan 02 2003 zqyang <zqyang@redflag-linux.com>
- A
